%define		pkgname	tzinfo
Summary:	Daylight-savings aware timezone library
Summary(pl.UTF-8):	Biblioteka stref czasowych uwzględniająca czas letni
Name:		ruby-%{pkgname}
Version:	0.3.37
Release:	5
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	81884148d7dc644f484fdca1bcb86d69
URL:		http://tzinfo.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TZInfo is a library that uses the standard tz (Olson) database to
provide daylight savings aware transformations between times in
different time zones. The tz database is compiled into Ruby classes
which are packaged in the release. No external zoneinfo files are
required at runtime.

%description -l pl.UTF-8
TZInfo to biblioteka wykorzystująca standardową bazę danych tz (Olson)
do udostępniania przekształceń między czasami w różnych strefach
czasowych z uwzględnieniem okresowych zmian czasu (czasu letniego).
Baza danych tz jest wkompilowana w klasy Ruby'ego, które są dołączone
do pakietu. Zewnętrzne pliki zoneinfo nie są potrzebne w czasie
działania.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES LICENSE
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/TZInfo
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-tzinfo.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 59812f0
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 7ef6abf
- rebuild with rubygems
- release 4 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> db294cc
- added gemspec
- rel 3

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 2f29aae
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> c622873
- up to 0.3.37, package noarch and to vendor dirs

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 6780b13
- up to 0.3.35; do not package rdoc twice

* Mon Jun 04 2012 Andrzej Zawadzki <zawadaa@gmail.com> b5326ea
- up to 0.3.33

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 12c74c4
- no debug package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 13db760
- added ri package

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 1a2c200
- updated to 0.3.16
- updated build process

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> d73d703
- not needed

* Fri Sep 26 2008 aredridel <aredridel@pld-linux.org> 4f2fa71
- 0.3.10

* Sun Jul 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 52d8c68
- pl

* Thu Jun 28 2007 aredridel <aredridel@pld-linux.org> fcc5a21
- chop incorrect changelog

* Thu Jun 28 2007 aredridel <aredridel@pld-linux.org> e8304cd
- added

* Tue May 10 2005 aredridel <aredridel@pld-linux.org> 78f5a47
- up to 3.3.1

* Sat Aug 21 2004 aredridel <aredridel@pld-linux.org> 3ddda40
- is a generic installer
- added

